interface Gpx {
  $: Gpx_;
  metadata?: Metadata;
  wpt?: any[];
  rte?: any[];
  trk?: any[];
  extensions?: Extensions;
}

interface Gpx_ {
  version: '1.1';
  creator: string;
  xmlns: 'http://www.topografix.com/GPX/1/1';
  'xmlns:xsi'?: 'http://www.w3.org/2001/XMLSchema-instance';
  'xsi:schemaLocation'?: string;
  'xmlns:gpxx'?: string;
  'xmlns:wptx1'?: string;
  'xmlns:gpxtpx'?: string;
  'xmlns:dyo'?: 'http://xmlns.dyomedea.com/';
}

interface Metadata {
  name?: string;
  desc?: string;
  author?: string;
  copyright?: string;
  link?: string;
  time?: string;
  keywords?: string;
  bounds?: string;
  extensions?: Extensions;
}

interface Extensions {}
